@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

*{
    font-family: "Poppins", sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    outline: none; border: none;
    scroll-behavior: smooth;
}


:root{
    --primary-color:#8456bf;
    --secondary-color:#b896e4;
    --accent-color:#8d4edf;
    --white-text-color:#f0f0f0;
    --black-text-color:#0f0d12;
 }
 

*::-webkit-scrollbar{
    width: 13px;
 }
 
 *::-webkit-scrollbar-thumb{
    background-color: var(--white-text-color);
 }


 *::-webkit-scrollbar-track{
    background-color: var(--accent-color);
 }


header{
    background-color: var(--white-text-color);
    color:var(--accent-color);
    width: 100%;
    position: fixed;
    z-index: 888;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 200px;
}

.logo{
text-decoration: none;
font-size: 1.8em;
font-weight: 700;
color:var(--accent-color);
text-transform: uppercase;
}

.navigation a {
    color:var(--accent-color);
    text-decoration: none;
    font-weight: 500;
    font-size: 1.1em;
    padding-left: 1.875em;
    position: relative;

}

.navigation a::after {
    content: '';
    position: absolute;
    width: 0;
    height:3px;
    background-color:#0f0d12; 
    left:1.6em;
    bottom:-20px;
    transition:  0.5s ease;
}

.navigation a:hover,.navigation a:focus {
  color:#0f0d12 ;
}

.navigation a:hover::after {
    width: 80%;
}

section{
    padding: 100px 200px;
}


.main{
    width: 100%;
    min-height: 100vh;
    display: flex;
    align-items: center;
    background: url(images/profile.png) no-repeat;
    background-size: cover;
    background-position:  center;
    background-attachment: fixed;
    text-align: center;
}

.main h2 {
    color: #fff;
    font-size: 1.4em;
    font-weight: 500;
}

.main h2 .first-span{
   font-weight: 700;
  
}

.main h2 .second-span{
    display: inline-block;
    margin-top: 10px;
    color: #0f0d12;
    font-size: 3em;
    font-weight: 600;
}

.main h3 {
    color: #fff;
    font-size: 2em;
    font-weight: 700;
    letter-spacing: 1px;
    margin-top: 10px;
    margin-bottom: 40px
}

.main-btn {
    color: #fff;
    background-color: #0f0d12;
    text-decoration: none;
    font-size: 1.1em;
    font-weight: 600;
    display: inline-block;
    padding: 0.9375em 2.1875em;
    letter-spacing: 0.125em;
    border-radius: 0.9375em;
    margin-bottom: 2.5em;
    transition: 0.7s ease;
}

.main-btn:hover{
transform: scale(1.07);
background-color: #241f2a;
}

.social-icons a{
color: #fff;
padding-right: 1.875em;
font-size: 1.7em;
}

.cards{
    background-color:var(--white-text-color);
}


.title{
display: flex;
justify-content: center;
color: var(--accent-color);
font-size: 2.2em;
font-weight: 800;
margin-bottom: 1.875em;

}

.content {
    display: flex;
    justify-content: center;
    flex-direction: row;
    flex-wrap: wrap; 
}

.card {
width: 21.25em;
box-shadow: 0 5px 25px rgba(1 1 1 /15%);
border-radius: 0.625em;
padding: 1.5625em;
margin:0.9357em;
transition: 0.8s ease;
text-align: center;
 }

.card:hover{
    border: 4px var(--accent-color) solid;
    transform: scale(1.1);
}

.icon{
    color: var(--accent-color);
    font-size: 8em;

}

.info h3{
color: var(--primary-color);
font-size: 1.2em;
font-weight: 700;
margin: 0.625em;
}

.projects{
    background-color:var(--accent-color) ;
}

.projects .content{
margin-top: 1.25em;
}

.project-card{
background-color: #FFF;
border: 2px solid #fff;
min-height: 14em;
width: 20em;
overflow: hidden;
border-radius: 0.625em;
margin: 1.25em;
transition: 0.7s ease;
}

.project-card:hover{
    transform: scale(1.1);
}

.project-card:hover .project-image{
   opacity: 0.9;
}

.project-image img{
    width: 100%;
}

.project-info{
    padding: 1em;
}

.project-category{
font-size: 0.8em;
color: #000;
}

.project-title{
  display: flex;
  justify-content: space-between;
  font-weight: 800;
  text-transform: uppercase;
  margin-top: 0.625em;
}
.projects h2{
    color: #FFF;

}

.more-details{
    text-decoration: none;
    color: var(--secondary-color); 

}

.more-details:hover{
    color: var(--accent-color); 

}

.icon{
    font-size: 4.5em;

}

.contact .info h3{
color:#000;
}
.contact .info p{
   font-size: 1em;
    
 }

 .footer{
    background-color: var(--accent-color);
    color: #fff;
    padding: 2em;
    display: flex;
    justify-content: space-between;
 }

 .footer-title{
    font-size: 1.1em;
    font-weight: 600;

 }
 .footer-title span{
    color: #0f0d12;
 }
 .footer .social-icons a{
    font-size: 1.3em;
    padding: 0 0.75em 0 0;
 }



 @media (max-width:1023px){

header{
    padding: 0.9375em 2.5em;
}

.main{
position: relative;
background: url(images/profile-medium.png) no-repeat;
background-size: cover;
background-position:center;
background-attachment: fixed;
}

.main-content{
    position: absolute;
    top: 10.625em;
    left: 8.125em;
}

.navigation a {
  padding-left:1em; 
  font-size: 1.375em; 
}

.navigation a:hover::after {
    width: 0%;
}

.main-btn{
    padding: 1em;
    font-size: 1.125em;
}

.main h2 .second-span{
    font-weight: 600;
    font-size: 2.2em;
}

.title{
    font-size: 1.8em;

}

section{
    padding:5em 2.5em;
}


.main-content h2{
    font-size: 1.2em;
    padding: 0.625em;

}

.main-content h3{
    font-size: 1.4em;
    padding: 0.625em;
    margin-top: 0.125em;
    margin-bottom: 1.875em;

}

.content{
    flex-direction: column;
    align-items: center;
    justify-content: center; 

}



}


@media (max-width:641px){
    body{
        font-size: 12px;
    }

    .logo{
        font-size: 1.1em;
    }

    .navigation a {
        font-size: 0.8125em;
        
    }

    header{
        padding: 0.625em 4.0625em;
    }

    .main-content h2{
     font-size: 0.8em;
    }

   .main-content h3{
    font-size: 1.4em;

    }

    .main{
        position: relative;
    }
    
    .main-content{
        position: absolute;
        left: 12%;
        top: 18%;
    }
    
    
    .content{
        flex-direction: column;
        align-items: center;
        justify-content: center; 
    }
   
}


@media (max-width:500px){
    body{
        font-size: 10px;
    }
    header .navigation a {
        font-size: 1.1em;
    }
    .main h2,h3{
        font-size:1.5em;
    }    

   
}

@media (max-width:400px){
    body{
        font-size: 8px;
    }
  

   
}
